package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * RollingUpgradeRequest
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class RollingUpgradeRequest   {
  @JsonProperty("macs")
  @Valid
  private List<String> macs = null;

  public RollingUpgradeRequest macs(List<String> macs) {
    this.macs = macs;
    return this;
  }

  public RollingUpgradeRequest addMacsItem(String macsItem) {
    if (this.macs == null) {
      this.macs = new ArrayList<>();
    }
    this.macs.add(macsItem);
    return this;
  }

  /**
   * MAC list of devices. E.g. AA-BB-CC-DD-11-22
   * @return macs
  */
  @ApiModelProperty(value = "MAC list of devices. E.g. AA-BB-CC-DD-11-22")


  public List<String> getMacs() {
    return macs;
  }

  public void setMacs(List<String> macs) {
    this.macs = macs;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    RollingUpgradeRequest rollingUpgradeRequest = (RollingUpgradeRequest) o;
    return Objects.equals(this.macs, rollingUpgradeRequest.macs);
  }

  @Override
  public int hashCode() {
    return Objects.hash(macs);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class RollingUpgradeRequest {\n");
    
    sb.append("    macs: ").append(toIndentedString(macs)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

